This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 26579 - Improve startup time of NB 4.0
Summary: Improve startup time of NB 4.0
Status: CLOSED WONTFIX
Alias: None
Product: ide
Classification: Unclassified
Component: Performance (show other bugs)
Version: 3.x
Hardware: All All
: P1 blocker with 1 vote (vote)
Assignee: _ ttran
URL:
Keywords: PERFORMANCE
Depends on: 26764
Blocks:
  Show dependency tree
 
Reported: 2002-08-16 21:18 UTC by _ ttran
Modified: 2011-05-25 11:54 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ ttran 2002-08-16 21:18:03 UTC
Although we significantly improved the startup
time of NetBeans during 3.3 cycle our numbers are
still not good enough.  For 4.0 we should continue
to work on it.  The goal should be 15-30%
improvement with the same set of stable modules as
they are included in NB 3.4.

The work will need to be done in modules and in
the platform itself.
Comment 1 Jesse Glick 2002-09-10 17:00:22 UTC
1. Is there some reason that Trung's catch-all "improve scalability of
platform" issue is not a blocker of this one?

2. I would really like to see class loading regression tests, so that
regressions in loaded classes get automatically *mailed* to module
owners to fix. I would also like to see some continuous progress
metrics for both the IDE as a whole - using a predetermined module
config, i.e. same as in 3.4 (but remember e.g. xml/schema used to be
in xml/tools, so it is a split not an addition); and also check the
dev core+openide against the 3.4 module binaries, so we can see if
core improvements are helping.
Comment 2 Jaroslav Tulach 2002-09-30 12:47:21 UTC
These issues are planned as Sun's "must have" contribution to NetBeans 4.0 and
are considered to be "high level" issues. That is why changing the type to
FEATURE and priority to P1. 
Comment 3 _ pkuzel 2002-12-02 10:24:16 UTC
I have seen interesting idea how to improve startup time perception.
3Dstudio merges splash and tip of the day functionality. So user
spends startup by reading tips from splash, learning about product
capabilities.
Comment 4 Petr Nejedly 2002-12-02 11:56:31 UTC
Hmm, this idea was already beaten to death and thrown away, for
reasons, see the thread around:
http://www.netbeans.org/servlets/ReadMsg?msgId=293691&listName=nbui
Comment 5 _ rkubacki 2005-02-03 16:54:07 UTC
4.0 is out. Startup time is comparable when classpath scan is excluded
(according to original criteria).
Comment 6 Marian Mirilovic 2005-12-14 16:05:18 UTC
closed